##############################################################################
#
# PASRadius - Radius authentication plugin for PluggableAuthService
# Copyright (C) 2007 Shimizukawa Takayuki
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this
# distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""
$Id: __init__.py 253 2007-07-07 09:30:52Z taka $
"""

from AccessControl.Permissions import add_user_folders
from Products.PluggableAuthService import registerMultiPlugin

import config

#################################
# plugins
import radiusplugin

#################################
# register plugins with pas
try:
    registerMultiPlugin( radiusplugin.RadiusPlugin.meta_type )
except RuntimeError:
    # make refresh users happy
    pass

def initialize(context):

    context.registerClass( radiusplugin.RadiusPlugin,
                           permission = add_user_folders,
                           constructors = ( radiusplugin.manage_addRadiusPluginForm,
                                            radiusplugin.manage_addRadiusPlugin ),
                           visibility = None
                           )
